﻿:root {
    /*    --rz-input-background-color: #9ccfff;
    --rz-input-color: #003264;
    --rz-input-disabled-background-color: #ffffef;*/
    --btt-dark-green: #668c00;
    --btt-green: #ccd280;
    --btt-light-green: #dae49b;
    --btt-dark-blue: #183A65;
    --btt-turquise: #217882;
    --btt-red: #ef7d7d;
    --btt-disabled-grey: #ececec;
    --expertex-normal-text-size: 12pt;
    --rz-input-background-color: var(--btt-green);
    --rz-input-hover-background-color: var(--btt-green);
    --rz-input-focus-background-color: var(--btt-green);
    --rz-input-value-color: var(--btt-dark-blue);
    --rz-input-disabled-background-color: var(--btt-light-green);
    --rz-input-disabled-color: var(--btt-dark-blue);
    --rz-input-font-size: var(--expertex-normal-text-size);
    --rz-tooltip-background-color: var(--btt-turquise);
    --rz-success: var(--btt-dark-green);
    --input-line-height: 1rem;
}

.expertex-top-menu input:disabled
{
    --rz-input-disabled-background-color:white !important; 
}

.expertex-top-menu  a {
    color: white;
}

.expertex-top-menu  a:active {
    color: white;
}
.expertex-grenzwert {
    background-color: var(--btt-red);
    --rz-input-disabled-background-color: var(--btt-red); /*bei BTT-Numeric/Text erforderlich, kp Warum*/
}
.expertex-label
{
    font-size:var(--expertex-normal-text-size);
    text-decoration-color: var(--btt-dark-blue);
}
.expertex-menu-small-font
{
    font-size:8pt;
}
.expertex-normal-text
{
    font-size:var(--expertex-normal-text-size);
}
.expertex-sidebar
{
    background-image:none;
    background-color: var(--btt-dark-green);
    --rz-input-disabled-background-color:white;
    height:100%;
}
.expertex-unit-box {
    width: 85px;
    font-size: var(--expertex-normal-text-size);
    --rz-input-disabled-background-color:#e9ecef;
}
.expertex-td-toppadding
{
    padding-top: 15px;
}
.expertex-textgrid-row
{
    font-size:12pt;    
    height:12pt;
}
.expertex-textgrid-header
{
    font-size:var(--expertex-normal-text-size);    
}
.expertex-button
{
    background-color: var(--btt-dark-blue);
}
.form-control:hover
{
    background-color: var(--btt-green);
}

.rz-unselectable-text
{
    font-size:var(--expertex-normal-text-size);    
}

.expertex-input-height
{
    height: 2.25rem !important;
}
.expertex-input-height-l
{
    height: 2.25rem !important;
}
.expertex-input-ref {
    --rz-dropdown-background-color: var(--btt-turquise);
    --rz-dropdown-color: #ececec;
}
.expertex-input-ref-disabled {
    --rz-input-disabled-background-color: var(--btt-turquise);
    --rz-input-disabled-color: #ececec;  
}
.rz-tabview-panels {
    background-color: var(--rz-tabs-background-color);
    border: var(--rz-tabs-border);
    box-shadow: var(--rz-tabs-shadow);
    flex: 1;
    overflow: hidden;
}
.rz-legend-item-text {
    font-size: var(--expertex-normal-text-size);
}
.rz-tick-text
{
    font-size: var(--expertex-normal-text-size);
}
.fixed {
    position: fixed !important;
    top: 0px;
    left: 0px;
    bottom: 0px;
    background: red;
}

.expertex-input-select-disabled {
    --rz-input-disabled-background-color: #dcdcdc;
    --rz-input-disabled-color: #5f5f5f;
}

.expertex-input-select-disabled-ref {
    --rz-input-disabled-background-color: #5f5f5f;
    --rz-input-disabled-color: #dcdcdc;
}
.expertex-label-twoline {
    line-height: 1;
}


/*#########################################################################
                        Lukas versuch
###########################################################################*/


.expertex-isselected {
    background-color: aliceblue;
}

.disabled {
    pointer-events: none
}



.NavMenueDisabled{
    color:darkgray;
}
.NavMenueEnabled {
    color: var(--btt-dark-blue);
}

@media print{
    /*unterbinde drucken generell*/
    body {
        display:none !important;
    }

    /*unterbinde drucken mit klasse*/
    .no-print {
        display: none !important;
    }

}

/*#########################################################################
###########################################################################*/